Subject: Re: Strange behaviour of vpath with dos paths
From: "Johan Bezem" <[email-masked]>
To: CygWin Mailing List <[email-masked]>
Date: Thu, 21 Mar 2002 17:08:45 +0100

Hi,

OK, so I think I fixed the problem with the vpath directive, I fixed
another related problem on the way (the GPATH variable shows the same
symptoms), I tested both fixes on my machine, and wrote a ChangeLog
entry.
Now, I want to contribute these fixes into the development chain for
CygWin make.
The GNU make project (http://savannah.gnu.org/projects/make) does not
contain the CygWin enhancements in its main development tree, but in
order to provide a valid diff, I'd have to incorporate my changes into
the latest CVS version and perform a diff, rather than using the sources
from the latest CygWin distribution.
I checked the CVS repository sources.redhat.com, but it seems to contain
only the core of the CygWin DLL's sources.
So, my question: Where can I find the repository of the CygWin make
package? Or otherwise, how to proceed from here?

Thanks,

Johan Bezem
CSK Software AG

Colm Aengus Murphy wrote:
> 
> Hi folks,
> 
> I am seeing strange behaviour when using dos paths in a gnu make vpath
> directive.
> The makefile I am using to test this funny is as follows:
> 
> -------------------------------------------------------------------
> vpath %.out c:/make_test/out
> #vpath %.out /cygdrive/c/make_test/out
> 
> #VPATH = c:/make_test/out
> #VPATH = /cygdrive/c/make_test/out
> 
> test.out : \
>    test.input\
>    ; echo test.input > out/test.out
> -------------------------------------------------------------------
> 
> What I find is that vpath doesn't work when given a dos path.
> VPATH on the other hand does.
> 
> For out application we need to use a dos path.
> The work around is for us to use VPATH but it seems a bit funny that
> vpath and VPATH behave differently under given dos paths.
> 
> Has anyone any ideas about this ?
> 
> Cheers
> 
> Colm A
> 
> P.S. I am using gnu make 3.79.1-4 and 1.3.5-2 of the cygwin dll.
> 
> --
> ---------------------------------------------------------------------
>  Colm Aengus Murphy,                Tel       : +353 1 2911000
>  Senior Hardware Design Engineer,   Direct Tel: +353 1 2911373
>  Silicon & Software Systems,        Fax       : +353 1 2911001
>  South County Business Park,
>  Leopardstown,                      E-mail: [email-masked]
>  Dublin 18.                         WWW   : www.s3group.com
>  Ireland
> ---------------------------------------------------------------------
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/